part of maps;

/// Positions for the legend.
enum MapLegendPosition {
  /// Places the legend at left to the map area.
  left,

  /// Places the legend at right to the map area.
  right,

  /// Places the legend at top of the map area.
  top,

  /// Places the legend at bottom of the map area.
  bottom,
}

/// Shape of the icon.
enum MapIconType {
  /// Legend icon will be drawn in circle shape.
  circle,

  /// Legend icon will be drawn in square shape.
  square,

  /// Legend icon will be drawn in triangle shape.
  triangle,

  /// Legend icon will be drawn in diamond shape.
  diamond,
}

/// Behavior of the legend items when it overflows.
enum MapLegendOverflowMode {
  /// It will place all the legend items in single line and enables scrolling.
  scroll,

  /// It will wrap and place the remaining legend items to next line.
  wrap,
}

/// Behavior of the data labels when it overflows from the shape.
enum MapLabelOverflowMode {
  /// It hides the overflowed labels.
  hide,

  /// It does not make any change even if the label overflowed.
  none,

  /// It trims the label based on the available space in the shape.
  trim
}
